librevenge::RVNGPropertyListVector Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Private Attributes | Friends | List of all members
librevenge::RVNGPropertyListVector Class Reference

`#include <RVNGPropertyListVector.h>`

Inheritance diagram for librevenge::RVNGPropertyListVector:

## Classes
class | Iter

## Public Member Functions
| RVNGPropertyListVector (const RVNGPropertyListVector &)
| RVNGPropertyListVector ()
virtual | ~RVNGPropertyListVector ()
int | getInt () const
double | getDouble () const
RVNGUnit | getUnit () const
| returns the property unit when possible. More...
RVNGString | getStr () const
RVNGProperty * | clone () const
void | append (const RVNGPropertyList &elem)
void | append (const RVNGPropertyListVector &vec)
unsigned long | count () const
bool | empty () const
void | clear ()
const RVNGPropertyList & | operator[] (unsigned long index) const
RVNGPropertyListVector & | operator= (const RVNGPropertyListVector &vect)
RVNGString | getPropString () const
Public Member Functions inherited from librevenge::RVNGProperty
virtual | ~RVNGProperty ()

## Private Attributes
RVNGPropertyListVectorImpl * | m_impl

## Friends
class | RVNGPropertyListVector::Iter

## Constructor & Destructor Documentation

librevenge::RVNGPropertyListVector::RVNGPropertyListVector | ( | const RVNGPropertyListVector & | vect | ) |

librevenge::RVNGPropertyListVector::RVNGPropertyListVector | ( |  | ) |

Referenced by clone().

librevenge::RVNGPropertyListVector::~RVNGPropertyListVector | ( |  | ) |
| virtual

## Member Function Documentation

void librevenge::RVNGPropertyListVector::append | ( | const RVNGPropertyList & | elem | ) |

void librevenge::RVNGPropertyListVector::append | ( | const RVNGPropertyListVector & | vec | ) |

void librevenge::RVNGPropertyListVector::clear | ( |  | ) |

RVNGProperty * librevenge::RVNGPropertyListVector::clone | ( |  | ) | const
| virtual

Implements librevenge::RVNGProperty.

Referenced by librevenge::RVNGPropertyList::insert(), and librevenge::RVNGPropertyListElement::operator=().

unsigned long librevenge::RVNGPropertyListVector::count | ( |  | ) | const

Referenced by librevenge::RVNGSVGDrawingGenerator::drawPath(), librevenge::RVNGSVGPresentationGenerator::drawPath(), librevenge::RVNGSVGDrawingGenerator::drawPolygon(), librevenge::RVNGSVGPresentationGenerator::drawPolygon(), librevenge::RVNGSVGDrawingGenerator::drawPolyline(), librevenge::RVNGSVGPresentationGenerator::drawPolyline(), librevenge::RVNGSVGDrawingGeneratorPrivate::drawPolySomething(), librevenge::RVNGSVGPresentationGeneratorImpl::drawPolySomething(), librevenge::RVNGCSVSpreadsheetGenerator::openSheet(), librevenge::RVNGCSVSpreadsheetGenerator::openSheetCell(), librevenge::RVNGHTMLTextTableStyleManager::openTable(), librevenge::RVNGSVGPresentationGenerator::setStyle(), librevenge::RVNGSVGDrawingGeneratorPrivate::setStyle(), librevenge::PresentationSVG::Table::Table(), and librevenge::DrawingSVG::Table::Table().

bool librevenge::RVNGPropertyListVector::empty | ( |  | ) | const

double librevenge::RVNGPropertyListVector::getDouble | ( |  | ) | const
| virtual

Implements librevenge::RVNGProperty.

Referenced by librevenge::RVNGSVGPresentationGenerator::setStyle().

int librevenge::RVNGPropertyListVector::getInt | ( |  | ) | const
| virtual

Implements librevenge::RVNGProperty.

RVNGString librevenge::RVNGPropertyListVector::getPropString | ( |  | ) | const

Referenced by librevenge::RVNGPropertyList::getPropString().

RVNGString librevenge::RVNGPropertyListVector::getStr | ( |  | ) | const
| virtual

Implements librevenge::RVNGProperty.

Referenced by librevenge::RVNGSVGPresentationGenerator::setStyle().

RVNGUnit librevenge::RVNGPropertyListVector::getUnit | ( |  | ) | const
| virtual

returns the property unit when possible.

If not, returns RVNG_UNIT_ERROR

Implements librevenge::RVNGProperty.

RVNGPropertyListVector & librevenge::RVNGPropertyListVector::operator= | ( | const RVNGPropertyListVector & | vect | ) |

const RVNGPropertyList & librevenge::RVNGPropertyListVector::operator[] | ( | unsigned long | index | ) | const

## Friends And Related Function Documentation

friend class RVNGPropertyListVector::Iter
| friend

## Member Data Documentation

RVNGPropertyListVectorImpl* librevenge::RVNGPropertyListVector::m_impl
| private

Referenced by append(), clear(), count(), empty(), operator=(), operator[](), and ~RVNGPropertyListVector().

The documentation for this class was generated from the following files:

- RVNGPropertyListVector.h
- RVNGPropertyListVector.cpp